> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ITSM Attachment by ID



## OpenAPI

````yaml get /itsm/attachments/{attachment_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/attachments/{attachment_id}:
    get:
      tags:
        - ITSM
        - Attachments
      summary: Get ITSM Attachment by ID
      operationId: get_attachment_by_id
      parameters:
        - name: attachment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Attachment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScopedITSMAttachmentRespModel'
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    ScopedITSMAttachmentRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the Attachment
        name:
          type: string
          title: Name
          description: Name of the Attachment
        url:
          type: string
          title: Url
          description: URL of the Attachment
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Mime Type
          description: MIME type of the Attachment
        status:
          allOf:
            - $ref: '#/components/schemas/AttachmentStatus'
          description: Status of the Attachment
        ticket_id:
          type: string
          format: uuid
          title: Ticket Id
          description: Ticket ID the Attachment belongs to
        uploaded_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Uploaded By User Id
          description: User ID who uploaded the Attachment
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMAttachmentVendorAttributes'
          description: Vendor-specific attributes of the Attachment
      type: object
      required:
        - id
        - name
        - url
        - ticket_id
        - vendor_attributes
      title: ITSM Attachment
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    AttachmentStatus:
      type: string
      enum:
        - ACTIVE
        - DELETED
        - ARCHIVED
      title: AttachmentStatus
    ITSMAttachmentVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: Vendor's ID for the Attachment
        vendor:
          type: string
          title: Vendor
          description: Vendor name
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of the Attachment in Vendor
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of the Attachment in Vendor
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/JiraAttachmentVendorAttributesData'
              discriminator:
                propertyName: vendor
                mapping:
                  JIRA:
                    $ref: '#/components/schemas/JiraAttachmentVendorAttributesData'
            - type: 'null'
          title: Data
          description: Vendor-specific data associated with the Attachment
      type: object
      required:
        - id
        - vendor
      title: ITSM Attachment Vendor Attributes
    JiraAttachmentVendorAttributesData:
      properties:
        vendor:
          type: string
          enum:
            - JIRA
          const: JIRA
          title: Vendor
          default: JIRA
        size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size
      type: object
      title: JiraAttachmentVendorAttributesData
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````